Bug 537854 - Zoom to fit goes into infinite loop
Summary: Zoom to fit goes into infinite loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 15:21 UTC by Pierre-YvesChibon
Modified: 2009-12-09 06:20 UTC (History)
2 users (show)

Fixed In Version: 0.14.4-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:17:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 550559 None None None Never

Description Pierre-YvesChibon 2009-11-16 15:21:32 UTC
Description of problem:
When I click on the 'Zoom to fit' button on my project on plannet it seems to go into an infinite loop

Version-Release number of selected component (if applicable):
planner-0.14.4-3.fc12.x86_64

How reproducible:
In my project always

Steps to Reproduce:
1. Open planner
2. Open a project
3. Click on 'Zoom to fit'
  
Actual results:
Unresponsive planner + large output on the console

Expected results:
Zoom to fit

Additional info:
In the console I see:
** (planner:8862): CRITICAL **: mrp_time2_add_seconds: assertion `secs >= 0' failed
** (planner:8862): CRITICAL **: mrp_time2_add_seconds: assertion `secs >= 0' failed
** (planner:8862): CRITICAL **: mrp_time2_add_seconds: assertion `secs >= 0' failed
** (planner:8862): CRITICAL **: mrp_time2_add_seconds: assertion `secs >= 0' failed

--help does not show if there is a debug mode

Comment 1 Caolan McNamara 2009-11-16 15:36:43 UTC
known upstream, but unfixed

Comment 2 Caolan McNamara 2009-11-17 10:50:39 UTC
Submitted a fix upstream and checked in in, will be in >= 0.14.4-4

Comment 3 Pierre-YvesChibon 2009-11-17 11:00:18 UTC
If you have a build on koji I can test it :-)

Comment 4 Fedora Update System 2009-11-17 11:04:34 UTC
planner-0.14.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-4.fc12

Comment 5 Fedora Update System 2009-11-18 14:07:51 UTC
planner-0.14.4-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update planner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11648

Comment 6 Fedora Update System 2009-11-23 12:27:49 UTC
planner-0.14.4-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/planner-0.14.4-5.fc12

Comment 7 Fedora Update System 2009-11-25 15:16:59 UTC
planner-0.14.4-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.